<?php

namespace app\controllers\mikrotik\ip\socks;

require_once 'PEAR2_Net_RouterOS-1.0.0b5.phar';

use Yii;
use yii\helpers\Url;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\data\ArrayDataProvider;
use app\models\mikrotik\MikrotikSideMenu;
use app\models\mikrotik\ip\socks\Socks;

class SocksController extends Controller {

    public function behaviors() {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'except' => ['index'],
                'rules' => [
                    [
                        ///access controll//////////////////////////////////////////////////////////
                        'actions' => ['index'], //what should be controlled - actionPing 
                        'allow' => true, //allow or deny this action   
                        'roles' => ['mikrotik_ipUpdateSocks'], //"controller's name"_"rule name"
                    ],
                    [
                        'actions' => [],
                        'allow' => true,
                        'roles' => ['admin'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    public function actions() {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    public function actionIndex() {
        $menu = new MikrotikSideMenu();
        $model = new Socks();
        if ($model->load(Yii::$app->request->post()) && $model->validate()) {

            $model->update();
            return $this->redirect(Url::toRoute('mikrotik/ip/socks/socks/index'));
        }
        $model->getAll();

        return $this->render('/mikrotik/ip/socks/index', [
                    'menu' => $menu->getMenu(),
                    'model' => $model,
        ]);
    }

}
